textproc/jless - The NetBSD Packages Collection

Command-line pager for JSON data

jless is a command-line JSON viewer.
Use it as a replacement for whatever combination of less, jq, cat and your
editor you currently use for viewing JSON files.
It is written in Rust and can be installed as a single standalone binary.

Features
   -Clean syntax highlighted display of JSON data, omitting quotes around
    object keys, closing object and array delimiters, and trailing commas.
   -Expand and collapse objects and arrays so you can see both the high- and
    low-level structure of the data.
   -A wealth of vim-inspired movement commands for efficiently moving around
    and viewing data.
   -Full regex-based search for finding exactly the data you're looking for.

Build dependencies

lang/rust x11/xcb-proto x11/xorgproto textproc/py-expat lang/python310 pkgtools/mktools devel/pkgconf pkgtools/cwrappers

Runtime dependencies

x11/libxcb

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64jless-0.8.0.tgz
NetBSD 10.0aarch64jless-0.8.0.tgz
NetBSD 10.0earmv7hfjless-0.8.0.tgz
NetBSD 10.0earmv7hfjless-0.8.0.tgz
NetBSD 10.0i386jless-0.8.0.tgz
NetBSD 10.0powerpcjless-0.8.0.tgz
NetBSD 10.0powerpcjless-0.8.0.tgz
NetBSD 10.0x86_64jless-0.8.0.tgz
NetBSD 10.0x86_64jless-0.8.0.tgz
NetBSD 8.0powerpcjless-0.8.0.tgz
NetBSD 8.0powerpcjless-0.8.0.tgz
NetBSD 8.0x86_64jless-0.8.0.tgz
NetBSD 8.0x86_64jless-0.8.0.tgz
NetBSD 9.0aarch64jless-0.8.0.tgz
NetBSD 9.0aarch64jless-0.8.0.tgz
NetBSD 9.0aarch64jless-0.8.0.tgz
NetBSD 9.0earmv7hfjless-0.8.0.tgz
NetBSD 9.0earmv7hfjless-0.8.0.tgz
NetBSD 9.0earmv7hfjless-0.8.0.tgz
NetBSD 9.0i386jless-0.8.0.tgz
NetBSD 9.0i386jless-0.8.0.tgz
NetBSD 9.0i386jless-0.8.0.tgz
NetBSD 9.0powerpcjless-0.8.0.tgz
NetBSD 9.0powerpcjless-0.8.0.tgz
NetBSD 9.0powerpcjless-0.8.0.tgz
NetBSD 9.0sparc64jless-0.8.0.tgz
NetBSD 9.0sparc64jless-0.8.0.tgz
NetBSD 9.0sparc64jless-0.8.0.tgz
NetBSD 9.0x86_64jless-0.8.0.tgz
NetBSD 9.0x86_64jless-0.8.0.tgz
NetBSD 9.0x86_64jless-0.8.0.tgz
NetBSD 9.0x86_64jless-0.8.0.tgz
NetBSD 9.0x86_64jless-0.8.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.